Skip to content

Devices

All operations require authentication.

5 operationsv1/email/exchange
Agent setup

List devicesProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/device

List devices. Returns the identities of the ActiveSync devices registered on the service. Filter them by identity, IMEI or deviceState.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Query parameters

IMEI
string

Filter the value of IMEI property (like)

deviceState
DeviceActiveSyncStateEnum

Filter the value of deviceState property (=)

ValuesallowedblockeddeviceDiscoveryquarantined
identity
string

Filter the value of identity property (like)

Response

200string[]successful operation

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/device \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a deviceProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/device/{identity}

Get a device. Returns the model, IMEI, device ID, ActiveSync state and last update date of the ActiveSync device.

Path parameters

exchangeService
required
string

The internal name of your exchange service

identity
required
string

Exchange identity

organizationName
required
string

The internal name of your exchange organization

Response

200exchangeServiceDevicesuccessful operation
IMEI
read-only
string

International Mobile Equipment Identity

creationDate
read-only
stringdate-time

Creation date

deviceId
read-only
string

Device Id

deviceModel
read-only
string

Model device

deviceState
DeviceActiveSyncStateEnum

Device State

ValuesallowedblockeddeviceDiscoveryquarantined
guid
read-only
string

user guid

identity
read-only
string

Exchange identity

lastUpdate
read-only
stringdate-time

Last update date

taskPendingId
read-only
integer

Pending task id

Example uses exchangeService = string, identity = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/device/{identity} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "IMEI": "string", "creationDate": "2024-01-01T12:00:00Z", "deviceId": "string", "deviceModel": "string", "deviceState": "allowed", "guid": "string", "identity": "string", "lastUpdate": "2024-01-01T12:00:00Z", "taskPendingId": 0}

Update a deviceProduction

PUT
/1.0/email/exchange/{organizationName}/service/{exchangeService}/device/{identity}

Update a device. Updates the ActiveSync state of the device with deviceState, for example to allow, block or quarantine it.

Path parameters

exchangeService
required
string

The internal name of your exchange service

identity
required
string

Exchange identity

organizationName
required
string

The internal name of your exchange organization

Request body (required)

IMEI
read-only
string

International Mobile Equipment Identity

creationDate
read-only
stringdate-time

Creation date

deviceId
read-only
string

Device Id

deviceModel
read-only
string

Model device

deviceState
DeviceActiveSyncStateEnum

Device State

ValuesallowedblockeddeviceDiscoveryquarantined
guid
read-only
string

user guid

identity
read-only
string

Exchange identity

lastUpdate
read-only
stringdate-time

Last update date

taskPendingId
read-only
integer

Pending task id

Response

200—successful operation

Example uses exchangeService = string, identity = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/device/{identity} \
  -H "authorization: Bearer $OVH_TOKEN"

Reset a device to factory settingsProduction

POST
/1.0/email/exchange/{organizationName}/service/{exchangeService}/device/{identity}/clearDevice

Reset a device to factory settings. Runs a factory reset on the device and returns the task. This cannot be undone: all data on the device is lost.

Path parameters

exchangeService
required
string

The internal name of your exchange service

identity
required
string

Exchange identity

organizationName
required
string

The internal name of your exchange organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, identity = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/device/{identity}/clearDevice \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Synchronize the device listProduction

POST
/1.0/email/exchange/{organizationName}/service/{exchangeService}/updateDeviceList

Synchronize the device list. Synchronizes the list of ActiveSync devices with the Exchange server, and returns the task. Only available on the Private offer.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/updateDeviceList \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}